Summary:	A tool for automatically mounting and unmounting filesystems
Name:		autofs
Version:	4.1.4
Release:	%mkrel 3
License:	GPL
Group:		System/Kernel and hardware
URL:		ftp://ftp.kernel.org/pub/linux/daemons/autofs
Source0:	ftp://ftp.kernel.org/pub/linux/daemons/autofs/v4/autofs-%{version}.tar.bz2
Source1:	autofs.sysconfig
Patch1:		autofs-4.1.0-hesiod-bind.patch.bz2
Patch2:		autofs-4.1.0-loop.patch.bz2
Patch3:		autofs-4.1.4-auto-master.patch.bz2
Patch4:		autofs-4.1.4-init-redhat-only.patch.bz2
Patch7:		autofs-4.1.1-get-best-mount.patch.bz2
Patch8:		autofs-4.1.4-stripdash.patch.bz2
Patch12:	autofs.auto.net.patch.bz2
Patch23:	autofs-4.1.3-replicated_server_select.patch.bz2
Patch24:	autofs-4.1.4-signal-race-fix.patch.bz2
Patch25:	autofs-4.1.3-sock-leak-fix.patch.bz2
Requires:	nfs-utils-clients portmap
Requires(post): rpm-helper
Requires(preun): rpm-helper
BuildRequires:	openldap-devel
Conflicts:	autosmb
Buildroot:	%{_tmppath}/%{name}-%{version}-root

%description
autofs is a daemon which automatically mounts filesystems when you use
them, and unmounts them later when you are not using them.  This can
include network filesystems, CD-ROMs, floppies, and so forth.

%prep

%setup -q
%patch1 -p1 -b .hesiod-bind
%patch2 -p1 -b .loop
%patch3 -p1 -b .auto-master
%patch4 -p1 -b .init-redhat-only
%patch7 -p1 -b .get-best-mount
%patch8 -p1 -b .stripdash

%patch12 -p0

#%patch23 -p1 -b .replicated_server_select.patch
%patch24 -p1 -b .signal-race-fix.patch
#%patch25 -p1 -b .sock-leak-fix.patch

%build
%serverbuild
%configure2_5x --with-openldap=/usr
%make initdir="%{_initrddir}" sbindir="%{_sbindir}"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/autofs
mkdir -p $RPM_BUILD_ROOT%{_mandir}/{man5,man8}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig

%make INSTALLROOT=$RPM_BUILD_ROOT initdir="%{_initrddir}" install 

install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/autofs

perl -pi -e "s|/etc/rc.d/init.d|%{_initrddir}|" $RPM_BUILD_ROOT%{_initrddir}/*
rm samples/autofs-ldap-auto-master
rm samples/autofs-ldap-auto-master.o

%pre
grep -q '^alias autofs autofs4'  /etc/modules.conf  || {
	echo "alias autofs autofs4" >> /etc/modules.conf
	}

%post
%_post_service autofs

%preun
%_preun_service autofs

%postun
if [ $1 = "0" ]; then # removal
perl -ni -e 'print unless ( m!^.*autofs.*$! || /^\s*$/)' /etc/modules.conf
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc CHANGELOG CREDITS README* samples/*
%attr(0755,root,root) %{_initrddir}/autofs
%config(noreplace) %{_sysconfdir}/auto.master
%config(noreplace) %{_sysconfdir}/auto.misc
%config(noreplace) %{_sysconfdir}/auto.net
%config(noreplace) %{_sysconfdir}/auto.smb
%config(noreplace) /etc/sysconfig/autofs
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*
%{_sbindir}/automount
%{_mandir}/*/*

%changelog
* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 4.1.4-3mdk
- rebuilt against new openldap-2.3.6 libs
- misc rpmlint fixes

* Wed Jul 13 2005 Nicolas Lcureuil <neoclust@mandriva.org> 4.1.4-2mdk
- Fix conflicts
- preReq => Requires(pre)

* Sun May 22 2005 Stefan van der Eijk <stefan@eijk.nu> 4.1.4-1mdk
- 4.1.4
- start autofs after named (45 --> 60)
- rediffed patch 3 (auto-master)
- rediffed patch 4 (init-redhat-only) now only changes the runlevel config
- rediffed patch 8 (stripdash)
- remove patch 20 (bad_chdir) merged upstream
- remove patch 21 (mtab_lock) merged upstream
- remove patch 22 (non_block_ping) merged upstream
- disable patch 23 (replicated_server_select) more or less merged upstream
- rediffed patch 24 (signal-race-fix)
- disable patch 25 (sock-leak-fix) more or less merged upstream
- remove patch 26 (strict) merged upstream
- spec file cosmetics (%%mkrel, remove %%ver, no TODO file in doc, add auto.smb)
 
* Fri Feb 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 4.1.3-3mdk
- rebuild for ldap2.2_7

* Tue Nov 23 2004 Stefan van der Eijk <stefan@mandrake.org> 4.1.3-2mdk
- let autofs start after the ldap server

* Tue Nov 23 2004 Stefan van der Eijk <stefan@mandrake.org> 4.1.3-1mdk
- 4.1.3
- rediff patch 4
- add 4.1.3 patches

* Tue May  4 2004 Juan Quintela <quintela@mandrakesoft.com> 4.1.2-1mdk
- merge with redhat 4.1.2-2.
- actualize spec file.
- lots of patches included upstream or irrelevant.
- 4.1.2.

* Tue Apr 06 2004 Stefan van der Eijk <stefan@eijk.nu> 4.0.0-0.22mdk
- Patch18: ldapv3 patch from mc@suse.de
- Source1: replace with suse's ldapv3 enabled one
- from Michael Scherer : clean some requires

* Fri Nov 14 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.0.0-0.21mdk
- 64-bit fixes

* Fri Oct 31 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.0.0-0.20mdk
- lib64 fixes

* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 4.0.0-0.19mdk
- rebuild
- drop prefix tag
- drop unapplied P11

* Thu Nov 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.0.0-0.18mdk
- requires s/(sh-|text)utils/coreutils/
- PreReq: rpm-helper

* Tue Feb 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.0.0-0.17mdk
- init script: s/grpintf/gprintf/g (garrick)

* Fri Nov 30 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.0-0.16mdk
- gprintfy the init script by hand because a lot of echo must not be
gprintified.

* Thu Oct 18 2001 Philippe Libat <philippe@mandrakesoft.com> 4.0.0-0.15mdk
- add multiargs, fpic, schema patch.
- add autofs-ldap-auto-master
- new autofs.init script: determine nis & ldap lookup from nsswitch.conf

* Thu Sep 13 2001 Philippe Libat <philippe@mandrakesoft.com> 4.0.0-0.14mdk
- added nfs-utils-clients require 

* Thu Jul  5 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.0-0.13mdk
- rebuild for new db3.2

* Mon Jul 02 2001 Philippe Libat <philippe@mandrakesoft.com> 4.0.0-0.12mdk
- auto.net patch

* Thu Jun 19 2001 Philippe Libat <philippe@mandrakesoft.com> 4.0.0-0.11mdk
- fix reload/restart init (Sebastian Dransfeld <sebastid@stud.ntnu.no>)

* Thu Jun 19 2001 Philippe Libat <philippe@mandrakesoft.com> 4.0.0-0.10mdk
- ldap initrd

* Mon Jun 11 2001 Vincent Saugey <vince@mandrakesoft.com> 4.0.0-0.9mdk
- rebuild with ldap2 lib

* Tue Apr 10 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 4.0.0-0.8mdk
- new version (pre10)

* Thu Mar 29 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.0-0.7mdk
- use the new rpm macros for servers.

* Mon Mar 26 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.0-0.6mdk
- removed /misc and /net

* Mon Nov  6 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 4.0.0-0.5mdk
- new version
- updated patches and init script

* Tue Sep  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.0-0.4mdk
- use condrestart on upgrade.
- enabled again init patch to have a condrestart and to have a start at 18 level.

* Wed Aug 30 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.0.0-0.3mdk
- rebuild for the user of _initrddir macro.

* Fri Aug 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 4.0.0-0.2mdk
- rebuild to get rid of "if your Red Hat Linux machine is.."
  thanks to Anton Graham <darkimage@bigfoot.com>

* Thu Aug 17 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.0-0.1mdk
- 4.0.0pre7

* Thu Jul 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1.5-1mdk
- 3.1.5
- BM
- macroqeivhqowicvjzificationning

* Fri Apr 28 2000 Warly <warly@mandrakesoft.com> 3.1.4-4mdk
- change rc.init value to S72 K08
 
* Tue Mar 22 2000 Daouda Lo <daouda@mandrakesoft.com> 3.1.4-3mdk
- fix wrong date.
- 3.1.4 (new release).
- remove ugly patches.
- add smbmount support.

* Tue Nov 23 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- strip

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable $SMP build/check

* Wed Oct  6 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- checkconfig --del in %preun, not %postun (rh).
- add patch from HJLu to handle NIS auto.master better (rh).

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Forgot to fix the bloody permissions :/

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- remove rc patch it's breaking yp
- again with the redhat mergeings:
	* Wed Aug 25 16:00:00 1999 Cristian Gafton <gafton@redhat.com>
	- fix bug #4708
	* Sat Aug 21 16:00:00 1999 Bill Nottingham <notting@redhat.com>
	- fix perms on /usr/lib/autofs/*
	- add support for specifying maptype in auto.master

* Tue Aug 17 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- RedHat Merge:
	* Fri Aug 13 1999 Cristian Gafton <gafton@redhat.com>
	- add patch from rth to avoid an infinite loop

* Wed Jun 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Patch from H.J Lu <hjl@varesearch.com> :
	-* fix rc script for /var/lock/subsys.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- enahanced initscript to try to load maps over NIS
- changed the mount point back to misc (there is a reason we leave /mnt
  alone)
- patched back autofs.misc to the version shipped on 5.2 to avoid replacing
  yet one more config file for those who upgrade

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 3.1.3, fixing smbfs stuff and other things
- changed mountpoint from /misc to /mnt

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Mon Feb  8 1999 Bill Nottingham <notting@redhat.com>
- build for kernel-2.2/glibc2.1

* Tue Oct  6 1998 Bill Nottingham <notting@redhat.com>
- fix bash2 breakage in init script

* Sun Aug 23 1998 Jeff Johnson <jbj@redhat.com>
- typo in man page.

* Mon Jul 20 1998 Jeff Johnson <jbj@redhat.com>
- added sparc to ExclusiveArch.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- updated to 3.1.1

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscripts

* Fri Dec 05 1997 Michael K. Johnson <johnsonm@redhat.com>
- Link with -lnsl for glibc compliance.

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- exclusivearch for i386 for now, since our kernel packages on
  other platforms don't include autofs yet.
- improvements to initscripts.

* Thu Oct 16 1997 Michael K. Johnson <johnsonm@redhat.com>
- Built package from 0.3.14 for 5.0
